Subject: Re: Support `nixos-rebuild --use-remote-sudo` in `comint-password-prompt-regexp`

From: Sebastian <[email-masked]>
Date: Mon, 13 Jan 2025 02:52:37 +0100

Actually, I might have misunderstood something here.

This patch seems to fail on M-x shell.

I will look into it further and confirm.

On Mon, Jan 13, 2025 at 1:44 AM <[email-masked]> wrote:

> Tags: patch
>
> Hello!
>
> In NixOS, when running the command `nixos-rebuild` with the argument
> `--use-remote-sudo`, the password is asked for with the prompt "bash
> Password:".
>
> This adds support for this in `comint-password-prompt-regexp`.
>
> I added a test also.
>
> Thoughts?
>
> In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> 3.24.43, cairo version 1.18.2)
> Repository revision: e41a7d8127423307018f369e8739319f1de9b3fa
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101014
> System Description: NixOS 24.11 (Vicuna)
>
> Configured using:
>  'configure
>  --prefix=/nix/store/wv2ap96hvr0ilf575mwszsva6rvgqdi1-emacs-git-20250107.0
>  --disable-build-details --with-modules --with-x-toolkit=gtk3
>  --with-cairo --with-xft --with-compress-install
>  --with-toolkit-scroll-bars --with-native-compilation
>  --without-imagemagick --with-mailutils --without-small-ja-dic
>  --with-tree-sitter --with-xinput2 --without-xwidgets --with-dbus
>  --with-selinux'
>
>